#!/usr/bin/perl
#
# Spinner-Wiki
#        Copyright (C) 2000 Bruce Dodson (bdodson@esricanada.com)
#
# Derived from DolphinWiki
#        Copyright (C) 1998 Object Arts Ltd (info@object-arts.com)
#
# DolphinWiki derived from JOS WikiClone.
#        Copyright (C) 1998 Markus Peter - SPiN GmbH (warpi@spin.de)
#
# and based on parts of Ward Cunninghams original Wiki.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

use CGI;
use wiki;


$query= new CGI;

main();

sub main {
    print $query->header(-Pragma=>'no-cache',-Cache_control=>'no-cache');

    my ($topic, $scriptUrl, $baseUrl, $htmlUrl, $userName, $textLocation) = wiki::init( $query);

    my ($text) = $query->param("text");
    my ($options) = $query->param("options");
    @references = wiki::getReferences( $text, $options );

    my %exclude;

    $tmpl = wiki::readTemplate("search");
    $tmpl = wiki::handleCommonTags($tmpl, $text);
    $tmpl =~ s/\$TEXT\$/$text/go;
    $tmpl =~ s/\$SCRIPTURL\$/$scriptUrl/go;
    $tmpl =~ s/\$BASEURL\$/$baseUrl/go;
    $tmpl =~ s/\$USER\$/$userName/go;
    $tmpl =~ s/\$\$/\$/go;

    my ($before, $text, $after) = split( /\$REPEAT\$/, $tmpl);
    print $before;
    foreach $reference( @references ) {
        my $refTitle = wiki::prettyTitle($reference);
        $foo = $text;
        $foo =~ s/\$ITEMTITLE\$/$refTitle/go;
        $foo =~ s/\$ITEM\$/$reference/go;
        print $foo;
    }
    print $after;
}
